<form class="creature-chooser">
  <div class="form-group">
    <button id="randomActor" type="button">
      {{localize 'WFRP4NPCGEN.common.button.Random'}}
    </button>
  </div>
  <div class="form-group">
    <label>{{localize 'WFRP4NPCGEN.creatures.generate.as.npc.label'}}</label>
    {{#if data.generateAsPnj}}
    <input id="generateAsPnj" type="checkbox" name="generateAsPnj" checked />
    {{else}}
    <input id="generateAsPnj" type="checkbox" name="generateAsPnj" />
    {{/if}}
  </div>
  <div class="form-group chooser-select-container">
    <select id="selectPack" class="chooser-select-icons">
      {{#each actorGroups}} {{#if selected}}
      <option value="{{key}}" selected="selected">{{localize value}}</option>
      {{else}}
      <option value="{{key}}">{{localize value}}</option>
      {{/if}} {{/each}}
    </select>
  </div>
  <div class="form-group chooser-select-container">
    <select id="selectActor" class="chooser-select-icons">
      {{#each filteredCreatures}}
      <optgroup label="{{group}}">
        {{#each items}} {{#if selected}}
        <option value="{{key}}" selected="selected">
          {{> (../../worldIconTemplate)}}{{localize value}}
        </option>
        {{else}}
        <option value="{{key}}">
          {{> (../../worldIconTemplate)}}{{localize value}}
        </option>
        {{/if}} {{/each}}
      </optgroup>
      {{/each}}
    </select>
  </div>
  <div class="form-group creature-chooser-img">
    <img alt="" src="{{selectedImg}}" />
  </div>
  {{> (buttonsTemplate)}}
</form>
